DirectoryAssistance (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DirectoryAssistance interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DirectoryAssistance

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DirectoryAssistance

extends LogicalElement

Represents each document in the ($DirectoryAssitance) view in the names.nsf file.

Naming Rules:
  0="parent,domainType,domainName" 1="managedSystemName"
Persistable:
  true
Table Name:
  DIRASSI
Display Name:
  parent,domainType,domainName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDomainName()` Field "DomainName"
`java.lang.String` | `getDomainType()` Represents the field "DomainType" in directory document.
`int` | `getEnabled()` represents field "DomainEnabled"
`int` | `getGroupAuthorization()` Field "GroupExpansion"
`int` | `getMakeThisDomainAvailableTo()` Field ""ClientProtocolType""
`DominoNamingContext` | `getNamingContext1()` Represents the naming context 1 in the directory document.
`DominoServer` | `getParent()` The parent domino server which contains this object.
`DominoReplicas` | `getReplicas()` Represents domino replicas in the directory document.
`boolean` | `hasDomainName()`
`boolean` | `hasDomainType()`
`boolean` | `hasEnabled()`
`boolean` | `hasGroupAuthorization()`
`boolean` | `hasMakeThisDomainAvailableTo()`
`boolean` | `hasNamingContext1()`
`boolean` | `hasParent()`
`boolean` | `hasReplicas()`
`void` | `setDomainName(java.lang.String s)`
`void` | `setDomainType(java.lang.String s)`
`void` | `setEnabled(int s)`
`void` | `setGroupAuthorization(int s)`
`void` | `setMakeThisDomainAvailableTo(int s)`
`void` | `setNamingContext1(DominoNamingContext s)`
`void` | `setParent(DominoServer s)`
`void` | `setReplicas(DominoReplicas s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  The parent domino server which contains this object.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setDomainType

    void setDomainType(java.lang.String s)

### getDomainType

    java.lang.String getDomainType()
                                   throws AttributeNotSetException

  Represents the field "DomainType" in directory document.

  Throws:
    `AttributeNotSetException`

### hasDomainType

    boolean hasDomainType()

### setDomainName

    void setDomainName(java.lang.String s)

### getDomainName

    java.lang.String getDomainName()
                                   throws AttributeNotSetException

  Field "DomainName"

  Throws:
    `AttributeNotSetException`

### hasDomainName

    boolean hasDomainName()

### setMakeThisDomainAvailableTo

    void setMakeThisDomainAvailableTo(int s)

### getMakeThisDomainAvailableTo

    int getMakeThisDomainAvailableTo()
                                     throws AttributeNotSetException

  Field ""ClientProtocolType""

  Throws:
    `AttributeNotSetException`

### hasMakeThisDomainAvailableTo

    boolean hasMakeThisDomainAvailableTo()

### setGroupAuthorization

    void setGroupAuthorization(int s)

### getGroupAuthorization

    int getGroupAuthorization()
                              throws AttributeNotSetException

  Field "GroupExpansion"

  Throws:
    `AttributeNotSetException`

### hasGroupAuthorization

    boolean hasGroupAuthorization()

### setEnabled

    void setEnabled(int s)

### getEnabled

    int getEnabled()
                   throws AttributeNotSetException

  represents field "DomainEnabled"

  Throws:
    `AttributeNotSetException`

### hasEnabled

    boolean hasEnabled()

### setNamingContext1

    void setNamingContext1(DominoNamingContext s)

### getNamingContext1

    DominoNamingContext getNamingContext1()
                                          throws AttributeNotSetException

  Represents the naming context 1 in the directory document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Locates" reverse="false"

### hasNamingContext1

    boolean hasNamingContext1()

### setReplicas

    void setReplicas(DominoReplicas s)

### getReplicas

    DominoReplicas getReplicas()
                               throws AttributeNotSetException

  Represents domino replicas in the directory document.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Locates" reverse="false"

### hasReplicas

    boolean hasReplicas()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD